package com.zsc.edu.gateway.modules.system.service;

import com.zsc.edu.gateway.modules.system.dto.DeptDto;
import com.zsc.edu.gateway.modules.system.entity.Dept;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 部门 服务类
 * </p>
 *
 * @author Yao
 * @since 2023-04-06
 */
public interface DeptService extends IService<Dept> {

    /**
     * 创建部门
     * @param dto
     */
    Dept create(DeptDto dto);

    /**
     * 更新部门
     * @param dto
     * @param id
     */
    Boolean edit(DeptDto dto, Long id);

    Boolean toggle(Long id);

    /**
     * 生成部门树结构
     * @param id
     * @return
     */
    List<Dept> listTree(Long id);
}
